--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: parser
comment: 
- !ruby/struct:SM::Flow::P 
  body: Read and parse the contents of the Nmap XML file <tt>filename</tt>
- !ruby/struct:SM::Flow::P 
  body: Returns a new Nmap::Parser object, and passes it to a block if one is given
full_name: Nmap::Parser::parsefile
is_singleton: true
name: parsefile
params: (filename) {|parser| ...}
visibility: public
